## pytest-cython 0.1.0

=== docs/requirements.txt ===
sphinx>=1.3
sphinx-py3doc-enhanced-theme
-e .

=== debian/changelog ===
pytest-cython (0.1.0-3) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support.
  * d/control: Remove ancient X-Python-Version field.
  * d/control: Remove ancient X-Python3-Version field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Set Vcs-* to salsa.debian.org.

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Aug 2019 11:10:12 +0200

pytest-cython (0.1.0-2) unstable; urgency=medium

  * Update Standards-Version to 4.1.3

 -- Leo Singer <leo.singer@ligo.org>  Thu, 25 Jan 2018 09:41:23 -0500

pytest-cython (0.1.0-1) unstable; urgency=medium

  * Includes Python 2 version because this is a dependency of the
    latest upstream version of the existing package python-healpy.
  * Initial release. (Closes: #888158)

 -- Leo Singer <leo.singer@ligo.org>  Tue, 23 Jan 2018 13:24:51 -0500

=== debian/control ===
Source: pytest-cython
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Leo Singer <leo.singer@ligo.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools (>= 0.6.4)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian-astro-team/pytest-cython
Vcs-Git: https://salsa.debian.org/debian-astro-team/pytest-cython.git
Homepage: https://github.com/lgpage/pytest-cython

Package: python3-pytest-cython
Architecture: all
Multi-Arch: foreign
Depends: python3-pytest,
         ${misc:Depends},
         ${python3:Depends}
Description: pytest plugin for testing Cython extension modules (Python 3)
 This Pytest plugin allows for the doctesting of C extension modules for
 Python, specifically created through Cython.
 .
 This package provides the pytest plugin for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := pytest-cython

# Prevent setuptools/distribute from accessing the internet.
export http_proxy := http://127.0.9.1:9

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Intentionally left blank; pytest-cython's test suite
	# is based on tox and only runs tests with a virtualenv.

=== debian/watch ===
version=3
https://pypi.debian.net/pytest-cython/pytest-cython-(\d+(?:\.\d+)*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest-cython 0.1.1

=== debian/changelog ===
pytest-cython (0.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.1.
  * Update debhelper compatibility version to 12.
  * Update debian/watch file format to 4.
  * Set Rules-Requires-Root to no.
  * Use PYBUILD_DISABLE=test rather than a blank dh_override_auto_test
    target to disable tests.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 23 May 2021 22:04:03 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Leo Singer <leo.singer@ligo.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-pytest,
                python3-setuptools (>= 0.6.4)
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pytest-cython
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pytest-cython.git
 Homepage: https://github.com/lgpage/pytest-cython

=== debian/watch ===
version=4
https://pypi.debian.net/pytest-cython/pytest-cython-(\d+(?:\.\d+)*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest-cython 0.3.1

=== docs/requirements.txt ===
myst-parser
pyenchant
sphinx-py3doc-enhanced-theme
sphinx>=1.3
sphinxcontrib-spelling

=== tests/example-project/src/clib/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project (cython_example_clib)
add_library(sqrc SHARED sqrc.c)
add_library(sqrcpp SHARED sqrcpp.cpp)

=== debian/changelog ===
pytest-cython (0.3.1-2) unstable; urgency=medium

  * Team upload.
  * Update d/watch to detect upcoming 0.4.0
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Add temporary runtime dependency on python3-pkg-resources
    (Closes: #1125866)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Feb 2026 20:01:33 +0100

pytest-cython (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version, 0.3.1.
  * 'd/control':
    - Update 'debhelper-compat' to 13.
    - Update 'Standards-Version' to 4.7.0, no changes required.
  * Add 'd/gitlab-ci.yml' for Continuous Integration (CI) testing.
  * 'd/python3-pytest-cython.docs': change from '.rst' to '.md' documents.
  * Add 'd/upstream/metadata' and populate it with relevant information.

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 16 Oct 2024 16:03:12 +0100

=== debian/control ===
Source: pytest-cython
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Leo Singer <leo.singer@ligo.org>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pytest,
 python3-setuptools (>= 0.6.4),
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian-astro-team/pytest-cython
Vcs-Git: https://salsa.debian.org/debian-astro-team/pytest-cython.git
Homepage: https://github.com/lgpage/pytest-cython

Package: python3-pytest-cython
Architecture: all
Multi-Arch: foreign
Depends:
 python3-pkg-resources,
 python3-pytest,
 ${misc:Depends},
 ${python3:Depends},
Description: pytest plugin for testing Cython extension modules (Python 3)
 This Pytest plugin allows for the doctesting of C extension modules for
 Python, specifically created through Cython.
 .
 This package provides the pytest plugin for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := pytest-cython

# Disable unit tests, because they are based on tox and only
# work within a virtualenv.
export PYBUILD_DISABLE := test

# Prevent setuptools/distribute from accessing the internet.
export http_proxy := http://127.0.9.1:9

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://pypi.debian.net/pytest-cython/pytest[-_]cython-(\d+(?:\.\d+)*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
